apiVersion: v1
kind: Namespace
metadata:
  name: ckad-ns4
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: redis
  namespace: ckad-ns4
  labels: 
    app: redis
spec:
  selector:
    matchLabels:
      app: redis
  replicas:
  template:
    metadata:
      labels:
        app: redis
    spec:
      containers:
      - name: redis
        image: redis:alpine
        ports:
        - containerPort: 6379
          name: redis
